package de.ozgcloud.eingang.semantik.enginebased.a12;

import java.util.List;

import de.ozgcloud.eingang.common.formdata.FormData;
import de.ozgcloud.eingang.semantik.enginebased.EngineBasedSemantikAdapter;
import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor
public class A12EngineBasedAdapter implements EngineBasedSemantikAdapter {

	private final List<A12EngineBasedMapper> mappers;

	@Override
	public FormData parseFormData(FormData formData) {
		var processedFormData = formData;

		for (var mapper : mappers) {
			processedFormData = mapper.parseFormData(processedFormData);
		}
		return processedFormData;
	}

}
